<?php
namespace app\user\validate;

use think\Validate;

class User extends Validate{
	
	protected $rule = [
        'user_pass'         =>  'require',
        'user_pass_confirm' =>  'require|confirm:user_pass',
        'user_pass_old'     =>  'require',
	];
	
	protected $message = [
        'user_pass.require'         => '请输入用户密码',
        'user_pass_confirm.require' => '请再次输入用户密码',
        'user_pass_confirm.confirm' => '两次输入的密码不一致，请重新输入',
        'user_pass_old.require'     => '请输入用户旧的密码',
	];
	
	protected $scene = [
        'repwd'     =>  ['user_pass','user_pass_confirm','user_pass_old'],
	];
}